> For the complete documentation index, see [llms.txt](https://developers.rewardful.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.rewardful.com/rest-api/payouts/list-payouts.md).

# List payouts

### Request

<table><thead><tr><th width="145"></th><th></th></tr></thead><tbody><tr><td><code>GET</code></td><td><code>https://api.getrewardful.com/v1/payouts</code></td></tr></tbody></table>

### Optional parameters

<table><thead><tr><th width="202">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><code>affiliate_id</code></td><td>Show payouts for the specified affiliate.</td></tr><tr><td><code>state</code></td><td><p>Show payouts that are currently in the specified states.</p><p>Valid values are <code>pending</code>, <code>due</code>, <code>processing</code>, and <code>paid</code>.</p><p>You can pass <code>state[]</code> to specify multiple states.</p></td></tr></tbody></table>

### Expandable objects

<table><thead><tr><th width="264">Parameter</th><th>Description</th></tr></thead><tbody><tr><td><code>affiliate</code></td><td>Include details about the affiliate this payout is associated with.</td></tr><tr><td><code>commissions</code></td><td>Include details about each of the commissions constituting this payout.</td></tr></tbody></table>

### Examples

#### List all payouts

```shell
curl --request GET \
  --url https://api.getrewardful.com/v1/payouts \
  -u YOUR_API_SECRET:
```

#### List all payouts with data for the associated affiliate and commissions

```shell
curl --request GET \
  --url https://api.getrewardful.com/v1/payouts?expand[]=affiliate&expand[]=commissions \
  -u YOUR_API_SECRET:
```

#### List payouts for a specific affiliate

```shell
curl --request GET \
  --url https://api.getrewardful.com/v1/payouts?affiliate_id=5768bd90-7953-493f-ae6c-6562eb4d7e72 \
  -u YOUR_API_SECRET:
```

#### List payouts that have been marked as paid

```shell
curl --request GET \
  --url https://api.getrewardful.com/v1/payouts?state= \
  -u YOUR_API_SECRET:
```

#### List payouts that are either due or pending

```shell
curl --request GET \
  --url https://api.getrewardful.com/v1/payouts?state[]=due&state[]=pending \
  -u YOUR_API_SECRET:
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.rewardful.com/rest-api/payouts/list-payouts.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
